#include <Ice/Ice.h>
#include <dataStreamTransfer.h>
#include <IntDatatextMap.h>

using namespace std;
using namespace dataStreamTransfer;

class FileStoreI : public FileStore {
 public:
  // get dataStream.
  virtual ByteSeq get(const string&, const ::Ice::Current&);
  // store dataStream.
  virtual void put(const string&, const ByteSeq&, const ::Ice::Current&);
  // print String
  virtual void printString(const ::std::string&, const ::Ice::Current&);
  // set data string
  virtual void setDataString(const ::std::string&, const ::Ice::Current&);
  // get data string
  virtual void getDataString(const ::std::string&, const ::std::string&, const ::Ice::Current&);

  static string _dbName;
  static Ice::CommunicatorPtr _communicator;
  static Ice::ObjectAdapterPtr _adapter;
  static Freeze::ConnectionPtr _connection;
  static IntDatatextMap* _mapString;
  static string _envName;

};
